Subject: Re: Is this true?

From: Phillip Hallam-Baker <[email-masked]>
Date: Tue, 31 Aug 2010 17:36:40 -0400

Surprising as it may seem, I was aware of the prior existence of FTP and Telnet.

The point I was trying to get to was email was the only application
that was useful to people beyond the type of people who were building
the Internet. Hence for the purposes of the original discussion, the
fact that SMTP was the only protocol that is not end to end pure IPv4
indicates that it is a paradigm to follow rather than a mere anomaly.

On Tue, Aug 31, 2010 at 3:24 PM, John C Klensin <[email-masked]> wrote:
>
>
> --On Tuesday, August 31, 2010 13:54 -0400 Noel Chiappa
> <[email-masked]> wrote:
>
>>     > From: Fernando Gont <[email-masked]>
>>
>>     > As far as I recall *reading* (I wasn't around at the
>> time :-) ) email     > was a couple of FTP commands?
>>
>> That was more back in the NCP days (prior to TCP/IP). SMTP
>> came in about the time TCP/IP was really starting to roll
>> (don't recall the exact timing, but it would have been circa
>> 1980 or so).
>
> Yes.
>
> But, regardless of whether one counts from FTP-based email or
> from SMTP, the statement that email was the only application is
> simply nonsense.  Telnet was alive and well, FTP was heavily
> used (and I trust it is obvious that we could have had FTP-based
> email without FTP), user and system information protocols like
> finger and whois were around and in use, and so were a bunch of
> things that are "applications" or not depending on one's
> definitions and a fairly large collection of applications (not
> just applications-support protocols) built directly on TCP (or
> NCP, or later on various socket layers) whose descriptions never
> made it into the RFC series.
>
>     john
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>

-- 
Website: http://hallambaker.com/